﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using SysKobo.Forms;
using SysKobo.Stdlib;
using UseDBAccess;
using SysKobo.DBService;
using System.Data;

namespace SampleUse
{
    class MainTabApp
    {

        //TabPage表示
        public TabPage ShowTabPage(SysKobo.Controls.DataGridMenu.MenuParam mp)
        {
            SysKobo.Stdlib.errinfo.SendSyslog(mp.fOwner, System.Reflection.MethodBase.GetCurrentMethod().Name, UseDBAccess.Sta.ToString2());

            UForm.Form1 frmTarget = new UForm.Form1();
            frmTarget.form_Init(mp.fOwner.iniFile.iniFileName);

            frmTarget.SetOwner(mp.fOwner, mp.tabCon);
            frmTarget.Dock = DockStyle.Fill;
            frmTarget.FormBorderStyle = FormBorderStyle.None;
            frmTarget.TopLevel = false;
            frmTarget.label1.Text = string.Format("{0} {1}",mp.strTitle,mp.tabCon.TabCount );

            frmTarget.Show();
            TabPage tabPage = new System.Windows.Forms.TabPage();
            tabPage.Controls.Add(frmTarget);
            tabPage.Name = frmTarget.Text;
            tabPage.ImageIndex = (mp.fOwner.GetImageList().Images.Count < mp.tabCon.TabCount) ? mp.nImageNo : mp.tabCon.TabCount;
            tabPage.Text = mp.strTitle;
            return tabPage;

        }

        //ダイアログ表示
        public void ShowDialog(SysKobo.Controls.DataGridMenu.MenuParam mp)
        {
            SysKobo.Stdlib.errinfo.SendSyslog(mp.fOwner, System.Reflection.MethodBase.GetCurrentMethod().Name, UseDBAccess.Sta.ToString2());

            using (UForm.Form1 f = new UForm.Form1())
            {
                f.form_Init(mp.fOwner.iniFile.iniFileName);
                f.SetOwner(mp.fOwner, mp.tabCon);
                f.Text = mp.strTitle;
                f.label1.Text = string.Format("{0} {1}", mp.strTitle, mp.tabCon.TabCount);
                mp.ShowDialog(f);
            }
        }


        //SecondaryUse.db にDB接続情報が保存されている
        string test1 = "test1";     //ローカルのSQLLite
        string test2 = "test2";     //クラウドのSQLLite

        //DB接続サンプル1
        public void SampleDB1(SysKobo.Controls.DataGridMenu.MenuParam mp)
        {
            errinfo.SendSyslog(mp.fOwner, System.Reflection.MethodBase.GetCurrentMethod().Name, Sta.ToString2());

            using (UForm.Form2 f = new UForm.Form2())
            {
                f.form_Init(mp.fOwner.iniFile.iniFileName);
                f.SetOwner(mp.fOwner, mp.tabCon);
                f.Text = mp.strTitle;
                f.dbName = test1;
                mp.ShowDialog(f);
            }
        }

        //DB接続サンプル2
        public void SampleDB2(SysKobo.Controls.DataGridMenu.MenuParam mp)
        {
            errinfo.SendSyslog(mp.fOwner, System.Reflection.MethodBase.GetCurrentMethod().Name, Sta.ToString2());

            using (UForm.Form2 f = new UForm.Form2())
            {
                f.form_Init(mp.fOwner.iniFile.iniFileName);
                f.SetOwner(mp.fOwner, mp.tabCon);
                f.Text = mp.strTitle;
                f.dbName = test2;
                mp.ShowDialog(f);
            }
        }




    }
}
